{inputs, pkgs, lib, config, ...}:
let
  cfg = config.nix-config.hypr;
in
{
  # packages required by the current hyprland setup
  home.packages = [
    pkgs.hyprshot
    pkgs.nautilus
    pkgs.gnome-control-center
    pkgs.gnome-bluetooth # needed by gnome-control-center to manage bluetooth
    pkgs.brightnessctl
    pkgs.cliphist
    pkgs.wl-clipboard
    pkgs.gcr # Provides org.gnome.keyring.SystemPrompter
  ];

  # Also use gnome keyring
  services.gnome-keyring.enable = true;
}
